<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service;

use Dedi\SyliusMigrationPlugin\Definition\TableMappingDefinition;

interface ReaderInterface
{
    public function getResultCount(TableMappingDefinition $tableMappingDefinition, int $limit): int;

    public function read(TableMappingDefinition $tableMappingDefinition, int $offset, int $limit): array;
}
